Notifly
API ReferenceEnvironment Variables

Update a variable

Updates an existing environment variable. Providing `values` merges them into the existing per-environment values by `_environmentId`; envs not present in the request keep their stored value. Submitting the masked secret placeholder (the value returned by read endpoints for secret variables) as a real value is rejected.

PATCH
/v1/environment-variables/{variableKey}

Updates an existing environment variable. Providing values merges them into the existing per-environment values by _environmentId; envs not present in the request keep their stored value. Submitting the masked secret placeholder (the value returned by read endpoints for secret variables) as a real value is rejected.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

variableKey*string

The unique key of the environment variable (e.g. BASE_URL)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/environment-variables/BASE_URL" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "_id": "string",    "_organizationId": "string",    "key": "string",    "type": "string",    "isSecret": true,    "values": [      {        "_environmentId": "string",        "value": "string"      }    ],    "createdAt": "string",    "updatedAt": "string"  }}